Bug 36622 - new-run-webkit-tests --platform mac is unstable w/ more than 4 threads in parallel
Summary: new-run-webkit-tests --platform mac is unstable w/ more than 4 threads in par...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Dirk Pranke
URL:
Keywords:
Depends on: 49566
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-25 14:50 PDT by Dirk Pranke
Modified: 2011-02-18 19:25 PST (History)
7 users (show)

See Also:


Attachments
ignore this - wrong bug (1.52 KB, patch)
2010-03-26 18:27 PDT, Dirk Pranke
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Pranke 2010-03-25 14:50:39 PDT
For some reason, running new-run-webkit-tests on the webkit mac port is unstable with more than 4 threads in parallel. I think this is a problem w/ DumpRenderTree somehow.
Comment 1 Eric Seidel (no email) 2010-03-25 14:54:39 PDT
When you say "unstable" you mean that tests fail?  DRT crashes?
Comment 2 Dirk Pranke 2010-03-25 14:58:57 PDT
Mostly DRT seems to hang as if it's blocking on locks. I haven't attempted to debug it yet, but it seems very reproducible at least on my 8-core Mac Pro.
Comment 3 Eric Seidel (no email) 2010-03-25 15:00:49 PDT
sample DumpRenderTree
should give us some information as to what's going wrong.
Comment 4 Dirk Pranke 2010-03-26 18:27:13 PDT
Created attachment 51802 [details]
ignore this - wrong bug
Comment 5 Dirk Pranke 2010-03-26 18:28:26 PDT
Comment on attachment 51802 [details]
ignore this - wrong bug

ignore this patch - webkit-patch upload put it on the wrong bug.
Comment 6 David Levin 2010-03-26 18:59:36 PDT
You may be hitting the same issue that I hit when I did something like this. I fixed it in: https://bugs.webkit.org/show_bug.cgi?id=10906

To my memory, you just need to do something like this for each sepearate worker instance (it gave each DRT its own home directory):
  $ENV{CFFIXED_USER_HOME} = $testResultsDirectory . "/home" . WorkCrew::workerNumber();
Comment 7 Dirk Pranke 2010-03-26 19:22:39 PDT
init(In reply to comment #6)
> You may be hitting the same issue that I hit when I did something like this. I
> fixed it in: https://bugs.webkit.org/show_bug.cgi?id=10906
> 
> To my memory, you just need to do something like this for each sepearate worker
> instance (it gave each DRT its own home directory):
>   $ENV{CFFIXED_USER_HOME} = $testResultsDirectory . "/home" .
> WorkCrew::workerNumber();

Initial testing looks promising. Thanks!
Comment 8 Dirk Pranke 2010-04-06 16:40:21 PDT
Note that https://bugs.webkit.org/show_bug.cgi?id=36899 may also fix this, as might https://bugs.webkit.org/show_bug.cgi?id=33153 .
Comment 9 Dirk Pranke 2010-04-06 16:41:03 PDT
I am not currently working on this, nor do I expect to be in the near future, so I am disclaiming ownership in case someone else wants to take a look.
Comment 10 Dirk Pranke 2011-02-18 19:25:14 PST
This should be fixed as of r79062.